﻿<?xml version="1.0" encoding="utf-8"?>
<Project ToolsVersion="4.0" DefaultTargets="Build" xmlns="http://schemas.microsoft.com/developer/msbuild/2003">
  <Import Project="$(MSBuildExtensionsPath)\$(MSBuildToolsVersion)\Microsoft.Common.props" Condition="Exists('$(MSBuildExtensionsPath)\$(MSBuildToolsVersion)\Microsoft.Common.props')" />
  <Import Project="$(SolutionDir)\Fuse.targets" />
  <PropertyGroup>
    <Configuration Condition=" '$(Configuration)' == '' ">Debug</Configuration>
    <Platform Condition=" '$(Platform)' == '' ">AnyCPU</Platform>
    <ProjectGuid>{5A43F127-3217-4BEA-93F0-13903B240B5A}</ProjectGuid>
    <OutputType>Library</OutputType>
    <AppDesignerFolder>Properties</AppDesignerFolder>
    <RootNamespace>Outracks.CodeCompletion</RootNamespace>
    <AssemblyName>Outracks.CodeCompletion.NRefactoryInterop</AssemblyName>
    <TargetFrameworkVersion>v4.5</TargetFrameworkVersion>
    <FileAlignment>512</FileAlignment>
    <SolutionDir Condition="$(SolutionDir) == '' Or $(SolutionDir) == '*Undefined*'">..\..\..\</SolutionDir>
    <RestorePackages>true</RestorePackages>
    <OutputPath>bin/$(Configuration)</OutputPath>
    <ErrorReport>prompt</ErrorReport>
    <WarningLevel>4</WarningLevel>
  </PropertyGroup>
  <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Debug|AnyCPU' ">
    <DebugSymbols>true</DebugSymbols>
    <DebugType>full</DebugType>
    <Optimize>false</Optimize>
    <DefineConstants>DEBUG;TRACE</DefineConstants>
  </PropertyGroup>
  <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Release|AnyCPU' ">
    <DebugType>pdbonly</DebugType>
    <Optimize>true</Optimize>
    <DefineConstants>TRACE</DefineConstants>
  </PropertyGroup>
  <ItemGroup>
    <Reference Include="IKVM.Reflection, Version=0.0.0.0, Culture=neutral, processorArchitecture=MSIL">
      <HintPath>..\..\..\packages\FuseOpen.Uno.Compiler.Backends.CIL.1.9.0-rc1\lib\net45\IKVM.Reflection.dll</HintPath>
    </Reference>
    <Reference Include="Minimatch, Version=1.1.0.0, Culture=neutral, PublicKeyToken=0cadeb0b849c27c0, processorArchitecture=MSIL">
      <HintPath>..\..\..\packages\Minimatch.1.1.0.0\lib\portable-net40+sl50+win+wp80\Minimatch.dll</HintPath>
    </Reference>
    <Reference Include="Mono.Cecil, Version=0.10.0.0, Culture=neutral, PublicKeyToken=50cebf1cceb9d05e, processorArchitecture=MSIL">
      <HintPath>..\..\..\packages\Mono.Cecil.0.10.0\lib\net40\Mono.Cecil.dll</HintPath>
    </Reference>
    <Reference Include="Mono.Cecil.Mdb, Version=0.10.0.0, Culture=neutral, PublicKeyToken=50cebf1cceb9d05e, processorArchitecture=MSIL">
      <HintPath>..\..\..\packages\Mono.Cecil.0.10.0\lib\net40\Mono.Cecil.Mdb.dll</HintPath>
    </Reference>
    <Reference Include="Mono.Cecil.Pdb, Version=0.10.0.0, Culture=neutral, PublicKeyToken=50cebf1cceb9d05e, processorArchitecture=MSIL">
      <HintPath>..\..\..\packages\Mono.Cecil.0.10.0\lib\net40\Mono.Cecil.Pdb.dll</HintPath>
    </Reference>
    <Reference Include="Mono.Cecil.Rocks, Version=0.10.0.0, Culture=neutral, PublicKeyToken=50cebf1cceb9d05e, processorArchitecture=MSIL">
      <HintPath>..\..\..\packages\Mono.Cecil.0.10.0\lib\net40\Mono.Cecil.Rocks.dll</HintPath>
    </Reference>
    <Reference Include="Mono.Options, Version=5.0.0.0, Culture=neutral, processorArchitecture=MSIL">
      <HintPath>..\..\..\packages\Mono.Options.5.3.0.1\lib\net4-client\Mono.Options.dll</HintPath>
    </Reference>
    <Reference Include="Newtonsoft.Json, Version=11.0.0.0, Culture=neutral, PublicKeyToken=30ad4fe6b2a6aeed, processorArchitecture=MSIL">
      <HintPath>..\..\..\packages\Newtonsoft.Json.11.0.2\lib\net45\Newtonsoft.Json.dll</HintPath>
    </Reference>
    <Reference Include="System" />
    <Reference Include="System.Collections.Immutable">
      <HintPath>..\..\..\packages\Microsoft.Bcl.Immutable.1.0.34\lib\portable-net45+win8+wp8+wpa81\System.Collections.Immutable.dll</HintPath>
    </Reference>
    <Reference Include="System.Core" />
    <Reference Include="System.Xml.Linq" />
    <Reference Include="System.Data.DataSetExtensions" />
    <Reference Include="Microsoft.CSharp" />
    <Reference Include="System.Data" />
    <Reference Include="System.Xml" />
    <Reference Include="Uno.Common, Version=1.9.0.0, Culture=neutral, processorArchitecture=MSIL">
      <HintPath>..\..\..\packages\FuseOpen.Uno.Common.1.9.0-rc1\lib\net45\Uno.Common.dll</HintPath>
    </Reference>
    <Reference Include="Uno.Compiler.API, Version=1.9.0.0, Culture=neutral, processorArchitecture=MSIL">
      <HintPath>..\..\..\packages\FuseOpen.Uno.Compiler.API.1.9.0-rc1\lib\net45\Uno.Compiler.API.dll</HintPath>
    </Reference>
    <Reference Include="Uno.Compiler.Backends.CIL, Version=1.9.0.0, Culture=neutral, processorArchitecture=MSIL">
      <HintPath>..\..\..\packages\FuseOpen.Uno.Compiler.Backends.CIL.1.9.0-rc1\lib\net45\Uno.Compiler.Backends.CIL.dll</HintPath>
    </Reference>
    <Reference Include="Uno.Compiler.Backends.OpenGL, Version=1.9.0.0, Culture=neutral, processorArchitecture=MSIL">
      <HintPath>..\..\..\packages\FuseOpen.Uno.Compiler.Backends.OpenGL.1.9.0-rc1\lib\net45\Uno.Compiler.Backends.OpenGL.dll</HintPath>
    </Reference>
    <Reference Include="Uno.Compiler.Backends.PInvoke, Version=1.9.0.0, Culture=neutral, processorArchitecture=MSIL">
      <HintPath>..\..\..\packages\FuseOpen.Uno.Compiler.Backends.PInvoke.1.9.0-rc1\lib\net45\Uno.Compiler.Backends.PInvoke.dll</HintPath>
    </Reference>
    <Reference Include="Uno.Compiler.Core, Version=1.9.0.0, Culture=neutral, processorArchitecture=MSIL">
      <HintPath>..\..\..\packages\FuseOpen.Uno.Compiler.Core.1.9.0-rc1\lib\net45\Uno.Compiler.Core.dll</HintPath>
    </Reference>
    <Reference Include="Uno.Compiler.Frontend, Version=1.9.0.0, Culture=neutral, processorArchitecture=MSIL">
      <HintPath>..\..\..\packages\FuseOpen.Uno.Compiler.Frontend.1.9.0-rc1\lib\net45\Uno.Compiler.Frontend.dll</HintPath>
    </Reference>
    <Reference Include="Uno.Configuration, Version=1.9.0.0, Culture=neutral, processorArchitecture=MSIL">
      <HintPath>..\..\..\packages\FuseOpen.Uno.Configuration.1.9.0-rc1\lib\net45\Uno.Configuration.dll</HintPath>
    </Reference>
    <Reference Include="Uno.ProjectFormat, Version=1.9.0.0, Culture=neutral, processorArchitecture=MSIL">
      <HintPath>..\..\..\packages\FuseOpen.Uno.ProjectFormat.1.9.0-rc1\lib\net45\Uno.ProjectFormat.dll</HintPath>
    </Reference>
    <Reference Include="Uno.Runtime.Core, Version=1.9.0.0, Culture=neutral, processorArchitecture=MSIL">
      <HintPath>..\..\..\packages\FuseOpen.Uno.Runtime.Core.1.9.0-rc1\lib\net45\Uno.Runtime.Core.dll</HintPath>
    </Reference>
    <Reference Include="Uno.Stuff, Version=1.9.0.0, Culture=neutral, processorArchitecture=MSIL">
      <HintPath>..\..\..\packages\FuseOpen.Uno.Stuff.1.9.0-rc1\lib\net45\Uno.Stuff.dll</HintPath>
    </Reference>
    <Reference Include="Uno.UX.Markup, Version=1.9.0.0, Culture=neutral, processorArchitecture=MSIL">
      <HintPath>..\..\..\packages\FuseOpen.Uno.UX.Markup.1.9.0-rc1\lib\net45\Uno.UX.Markup.dll</HintPath>
    </Reference>
    <Reference Include="Uno.UX.Markup.Common, Version=1.9.0.0, Culture=neutral, processorArchitecture=MSIL">
      <HintPath>..\..\..\packages\FuseOpen.Uno.UX.Markup.Common.1.9.0-rc1\lib\net45\Uno.UX.Markup.Common.dll</HintPath>
    </Reference>
    <Reference Include="Uno.UX.Markup.Reflection, Version=1.9.0.0, Culture=neutral, processorArchitecture=MSIL">
      <HintPath>..\..\..\packages\FuseOpen.Uno.UX.Markup.Reflection.1.9.0-rc1\lib\net45\Uno.UX.Markup.Reflection.dll</HintPath>
    </Reference>
  </ItemGroup>
  <ItemGroup>
    <Compile Include="GotoDefinitionFactory.cs" />
    <Compile Include="Properties\AssemblyInfo.cs" />
    <Compile Include="SuggestionsFactory.cs" />
    <Compile Include="UXNinja\Attribute.cs" />
    <Compile Include="UXNinja\CodeReader.cs" />
    <Compile Include="UXNinja\Context.cs" />
    <Compile Include="UXNinja\CreateUXSuggestions.cs" />
    <Compile Include="UXNinja\ElementContext.cs" />
    <Compile Include="UXNinja\NRefactoryExtensions.cs" />
    <Compile Include="UXNinja\SourceEntityFactoryUX.cs" />
  </ItemGroup>
  <ItemGroup>
    <ProjectReference Include="..\..\..\3rdparty\NRefactory\ICSharpCode.NRefactory.Xml\ICSharpCode.NRefactory.Xml.csproj">
      <Project>{dc393b66-92ed-4cad-ab25-cfef23f3d7c6}</Project>
      <Name>ICSharpCode.NRefactory.Xml</Name>
    </ProjectReference>
    <ProjectReference Include="..\..\..\3rdparty\NRefactory\ICSharpCode.NRefactory\ICSharpCode.NRefactory.csproj">
      <Project>{3b2a5653-ec97-4001-bb9b-d90f1af2c371}</Project>
      <Name>ICSharpCode.NRefactory</Name>
    </ProjectReference>
    <ProjectReference Include="..\..\Common\Core\Outracks.Common.Core.csproj">
      <Project>{196B010D-AD36-4947-95AA-14FC4A27BD18}</Project>
      <Name>Outracks.Common.Core</Name>
    </ProjectReference>
    <ProjectReference Include="..\Outracks.CodeCompletion.CodeNinja\Outracks.CodeCompletion.CodeNinja.csproj">
      <Project>{5C6C19F4-C5C4-4F8B-BAE4-A92E6C0D62BB}</Project>
      <Name>Outracks.CodeCompletion.CodeNinja</Name>
    </ProjectReference>
    <ProjectReference Include="..\Outracks.CodeCompletion.UXNinja\Outracks.CodeCompletion.UXNinja.csproj">
      <Project>{3C19F9AA-9C81-426F-A0EA-B046AAE755EE}</Project>
      <Name>Outracks.CodeCompletion.UXNinja</Name>
    </ProjectReference>
    <ProjectReference Include="..\Outracks.CodeCompletion\Outracks.CodeCompletion.csproj">
      <Project>{3AAB1DB2-FCB7-495D-ADDF-11131DCF821A}</Project>
      <Name>Outracks.CodeCompletion</Name>
    </ProjectReference>
  </ItemGroup>
  <ItemGroup>
    <None Include="app.config" />
    <None Include="packages.config" />
  </ItemGroup>
  <Import Project="$(MSBuildToolsPath)\Microsoft.CSharp.targets" />
  <Import Project="$(SolutionDir)\.nuget\NuGet.targets" Condition="Exists('$(SolutionDir)\.nuget\NuGet.targets')" />
  <Target Name="EnsureNuGetPackageBuildImports" BeforeTargets="PrepareForBuild">
    <PropertyGroup>
      <ErrorText>This project references NuGet package(s) that are missing on this computer. Enable NuGet Package Restore to download them.  For more information, see http://go.microsoft.com/fwlink/?LinkID=322105. The missing file is {0}.</ErrorText>
    </PropertyGroup>
    <Error Condition="!Exists('$(SolutionDir)\.nuget\NuGet.targets')" Text="$([System.String]::Format('$(ErrorText)', '$(SolutionDir)\.nuget\NuGet.targets'))" />
  </Target>
  <!-- To modify your build process, add your task inside one of the targets below and uncomment it.
       Other similar extension points exist, see Microsoft.Common.targets.
  <Target Name="BeforeBuild">
  </Target>
  <Target Name="AfterBuild">
  </Target>
  -->
</Project>